import { gfmAutolinkLiteralFromMarkdown, gfmAutolinkLiteralToMarkdown } from "../../mdast-util-gfm-autolink-literal/lib/index.js";
import { gfmFootnoteFromMarkdown, gfmFootnoteToMarkdown } from "../../mdast-util-gfm-footnote/lib/index.js";
import { gfmStrikethroughFromMarkdown, gfmStrikethroughToMarkdown } from "../../mdast-util-gfm-strikethrough/lib/index.js";
import { gfmTableFromMarkdown, gfmTableToMarkdown } from "../../mdast-util-gfm-table/lib/index.js";
import { gfmTaskListItemFromMarkdown, gfmTaskListItemToMarkdown } from "../../mdast-util-gfm-task-list-item/lib/index.js";
function gfmFromMarkdown() {
	return [
		gfmAutolinkLiteralFromMarkdown(),
		gfmFootnoteFromMarkdown(),
		gfmStrikethroughFromMarkdown(),
		gfmTableFromMarkdown(),
		gfmTaskListItemFromMarkdown()
	];
}
function gfmToMarkdown(e) {
	return { extensions: [
		gfmAutolinkLiteralToMarkdown(),
		gfmFootnoteToMarkdown(e),
		gfmStrikethroughToMarkdown(),
		gfmTableToMarkdown(e),
		gfmTaskListItemToMarkdown()
	] };
}
export { gfmFromMarkdown, gfmToMarkdown };
